from qgis.core import QgsProcessingProvider

from .algconfig.installcomponents import installcomponents
# from .algconfig.testfunctionality import tutorial
from .algconfig.testalgorithms import testalgorithms
from .algnoise.noisefromtraffic import noisefromtraffic
from .algnoise.noisefromemission import noisefromemission
from .alginit.initroademissionfromtraffic import initroademissionfromtraffic
from .alginit.initroad import initroad
from .alginit.initsource import initsource
from .alginit.initbuilding import initbuilding
from .alginit.initgroundabsorption import initgroundabsorption
from .alginit.initelevationpoint import initelevationpoint
from .alginit.initreceiver import initreceiver
from .alginit.heightsalonglines import heightsalonglines
from .algmerge.mergebuilding import mergebuilding
from .algmerge.mergeroad import mergeroad
from .algmerge.mergeelevationpoint import mergeelevationpoint
from .algfetch.fetchall import fetchall
from .algfetch.fetchallja import fetchallja
from .algfetch.fetchroadja import fetchroadja
from .algfetch.fetchroadosm import fetchroadosm
from .algfetch.fetchbuildingosm import fetchbuildingosm
from .algfetch.fetchbuildingja import fetchbuildingja
from .algfetch.fetchdemrastersrtm import fetchdemrastersrtm
from .algfetch.fetchpopghs import fetchpopghs
from .algfetch.fetchdemvectorja import fetchdemvectorja
from .algfetch.fetchdemrasterja import fetchdemrasterja
from .algfetch.fetchpopja import fetchpopja
from .algreceiver.receivercrosssection import receivercrosssection
from .algreceiver.receiverfacade import receiverfacade
from .algreceiver.receiverregulargrid import receiverregulargrid
from .algreceiver.receiverdelaunaygrid import receiverdelaunaygrid
from .algnoise.isosurface import isosurface
from .algrisk.estimatelevelofbuilding import estimatelevelofbuilding
from .algrisk.estimatepopulationofbuilding import estimatepopulationofbuilding
from .algrisk.estimatepopulationofbuildingplg import estimatepopulationofbuildingplg
from .algrisk.estimateriskofbuilding import estimateriskofbuilding


class hrisk_provider(QgsProcessingProvider):

  def __init__(self):        
    QgsProcessingProvider.__init__(self)

  def unload(self):
    pass

  def loadAlgorithms(self):
    self.addAlgorithm(installcomponents())
    self.addAlgorithm(testalgorithms())
    self.addAlgorithm(fetchall())
    self.addAlgorithm(fetchallja())
    self.addAlgorithm(fetchroadja())
    self.addAlgorithm(fetchbuildingja())
    self.addAlgorithm(fetchdemvectorja())
    self.addAlgorithm(fetchdemrasterja())
    self.addAlgorithm(fetchpopja())
    self.addAlgorithm(fetchroadosm())
    self.addAlgorithm(fetchbuildingosm())
    self.addAlgorithm(fetchdemrastersrtm())
    self.addAlgorithm(fetchpopghs())
    self.addAlgorithm(noisefromtraffic())
    self.addAlgorithm(noisefromemission())
    self.addAlgorithm(initroad())
    self.addAlgorithm(initsource())
    self.addAlgorithm(initbuilding())
    self.addAlgorithm(initreceiver())
    self.addAlgorithm(initelevationpoint())
    self.addAlgorithm(initgroundabsorption())
    self.addAlgorithm(initroademissionfromtraffic())
    self.addAlgorithm(heightsalonglines())
    self.addAlgorithm(mergebuilding())
    self.addAlgorithm(mergeroad())
    self.addAlgorithm(mergeelevationpoint())
    self.addAlgorithm(receiverfacade())
    self.addAlgorithm(receiverregulargrid())
    self.addAlgorithm(receiverdelaunaygrid())
    self.addAlgorithm(receivercrosssection())
    self.addAlgorithm(isosurface())
    self.addAlgorithm(estimatelevelofbuilding())
    self.addAlgorithm(estimatepopulationofbuilding())
    self.addAlgorithm(estimatepopulationofbuildingplg())
    self.addAlgorithm(estimateriskofbuilding())

  def id(self):
    return 'hrisk'

  def name(self):
    return self.tr('H-RISK')

  def icon(self):
    return QgsProcessingProvider.icon(self)

  def longName(self):
    return self.name()
