## Structure

- `bin/wps_scripts`
  - almost same as the original `wps_scripts`
  - use Environmental variables of `NOISEMODELLING_HOME` and `JAVA_FOR_NOISEMODELLING`
- `hriskscript/`
  - most scripts take paths of geometry files 
  - import the files as tables, execute groovy scripts embeded in NoiseModelling, and export files

## Requirements

- Environmental variables
  - `NOISEMODELLING_HOME`: e.g. `C:\Program Files\NoiseModelling\4.0.5`
  - `JAVA_FOR_NOISEMODELLING`: e.g. `C:\Program Files\Java\jdk-11.0.2`

## Test script

The following command is common:

`noisemodelling/bin/wps_scripts -w . -s noisemodelling/hriskscript/receiverfacade.groovy -noiseModellingHome "%NOISEMODELLING_HOME%" -exportDir .`
### road emission from traffic

`noisemodelling\bin\wps_scripts -w noisemodelling\test\tmp -s noisemodelling\hriskscript\initroademissionfromtraffic.groovy -noiseModellingHome "%NOISEMODELLING_HOME%" -exportDir "%CD%\tutorial\tmp" -roadGeomPath "%CD%\tutorial\test\road.geojson" -inputSRID "32654"`


### Receiver at facade

`noisemodelling\bin\wps_scripts -w noisemodelling\test\tmp -s noisemodelling\hriskscript\receiverfacade.groovy -noiseModellingHome "%NOISEMODELLING_HOME%" -exportDir "%CD%\tutorial\tmp" -buildingGeomPath "%CD%\tutorial\test\bldgs.geojson" -sourceGeomPath "%CD%\tutorial\test\road.geojson" -delta 10.0 -height 4.0 -distance 0.01 -fenceGeomPath "%CD%\tutorial\test\fence.geojson"`

### Receiver at delaunay grid

Note that fence should be given as Wkt object

`noisemodelling\bin\wps_scripts -w noisemodelling\test\tmp -s noisemodelling\hriskscript\receiverdelaunaygrid.groovy -noiseModellingHome "%NOISEMODELLING_HOME%" -exportDir "%CD%\tutorial\test\tmp" -buildingGeomPath "%CD%\tutorial\test\bldgs.geojson" -sourceGeomPath "%CD%\tutorial\test\road.geojson" -maxPropDist 500.0 -maxCellDist 600.0 -roadWidth 2.0 -maxArea 100.0 -delta 10.0 -height 4.0`


### Receiver at regular grid

`noisemodelling\bin\wps_scripts -w noisemodelling\test\tmp -s noisemodelling\hriskscript\receiverregulargrid.groovy -noiseModellingHome "%NOISEMODELLING_HOME%" -exportDir "%CD%\tutorial\tmp" -buildingGeomPath "%CD%\tutorial\bldgs.geojson" -sourceGeomPath "%CD%\tutorial\road.geojson" -delta 10.0 -height 4.0 -distance 0.01 -fenceGeomPath "%CD%\tutorial\test\fence.geojson"`
